package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsSatisfactionItem;
import com.patzn.lims.res.vo.LmsSatisfactionItemIVO;

import java.util.List;

/**
 * <p>
 * 客户满意度调查项目表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-18
 */
public interface ILmsSatisfactionItemService extends IBaseService<LmsSatisfactionItem> {


    Page<LmsSatisfactionItemIVO> page(Page<LmsSatisfactionItemIVO> page, LmsSatisfactionItemIVO lmsSatisfactionItem);


    List<LmsSatisfactionItem> list(LmsSatisfactionItem lmsSatisfactionItem);


    boolean saveSatisfaction(LmsSatisfactionItem lmsSatisfactionItem);


    boolean  updateSatisfactionById(LmsSatisfactionItem lmsSatisfactionItem);

    Page<LmsSatisfactionItemIVO> pageVo(Page<LmsSatisfactionItemIVO> page, LmsSatisfactionItemIVO itemIVO);

}
